AnalyticCompoundOptionEngine Class Reference

Pricing engine for compound options using analytical formulae. More...

`#include <ql/experimental/exoticoptions/analyticcompoundoptionengine.hpp>`

Inheritance diagram for AnalyticCompoundOptionEngine:
[legend]

## Public Member Functions

| AnalyticCompoundOptionEngine (const ext::shared_ptr< GeneralizedBlackScholesProcess > &process)
void | calculate () const
Public Member Functions inherited from GenericEngine< CompoundOption::arguments, CompoundOption::results >
PricingEngine::arguments * | getArguments () const
const PricingEngine::results * | getResults () const
void | reset ()
void | update ()
Public Member Functions inherited from PricingEngine
virtual arguments * | getArguments () const =0
virtual const results * | getResults () const =0
Public Member Functions inherited from Observable
| Observable (const Observable &)
Observable & | operator= (const Observable &)
void | notifyObservers ()
Public Member Functions inherited from Observer
| Observer (const Observer &)
Observer & | operator= (const Observer &)
std::pair< iterator, bool > | registerWith (const ext::shared_ptr< Observable > &)
void | registerWithObservables (const ext::shared_ptr< Observer > &)
Size | unregisterWith (const ext::shared_ptr< Observable > &)
void | unregisterWithAll ()
virtual void | deepUpdate ()

## Additional Inherited Members

Public Types inherited from Observer
typedef boost::unordered_set< ext::shared_ptr< Observable > > | set_type
typedef set_type::iterator | iterator
Protected Attributes inherited from GenericEngine< CompoundOption::arguments, CompoundOption::results >
CompoundOption::arguments | arguments_
CompoundOption::results | results_

## Detailed Description

Pricing engine for compound options using analytical formulae.

The formulas are taken from "Foreign Exchange Risk", Uwe Wystup, Risk 2002, where closed form Greeks are available. (not available in Haug 2007). Value: Page 84, Greeks: Pages 94-95.

Tests:
  the correctness of the returned value is tested by reproducing results available in literature.